## whizzytex 1.00iii

=== Makefile ===
include Makefile.config

# REMOTE INSTALLATION
# The prefix to add in front of all files during installation. 

PREFIX=


SRC=src
TMP=tmp

what:
	@echo 'make what? [ config all install clean superclean ]'

Makefile.config: 
	@echo '--- Creating default configuration Makefile.config'
	@echo '--- You may edit it or run "make config" for customization'
	cp $@.in $@

.PHONY: all
all: $(TMP)/whizzytex $(TMP)/whizzytex.el \
	$(patsubst %,$(TMP)/%/whizzytex.elc, $(EMACS) $(XEMACS))

.PHONY: config config.force

config: 
	bash ./configure

config.ok: Makefile.config 
	bash ./checkconfig 
	touch $@

config.force: 
	touch config.ok

$(TMP): 
	rm -f $(TMP)
	mkdir -p $@ 

$(TMP)/whizzytex.el: $(SRC)/whizzytex.el $(TMP) config.ok
ifndef ADVI
	sed -e 's|\((defvar whizzy-command-name "\)[^"]*\(".*\)|\1$(BINDIR)/whizzytex\2|' \
	    -e 's|^\( *\)\(("-advi[^)]*")\) *\(("-dvi[^)]*")\)|\1\3 \2|' \
	 <  $< > $@
else
	sed -e 's|\((defvar whizzy-command-name "\)[^"]*\(".*\)|\1$(BINDIR)/whizzytex\2|' \
	 <  $< > $@
endif

ifdef EMACS
$(TMP)/$(EMACS): $(TMP)
	mkdir -p $@

$(TMP)/$(EMACS)/whizzytex.elc: $(TMP)/$(EMACS) 
$(TMP)/$(EMACS)/whizzytex.elc: $(TMP)/whizzytex.el byte-compile.el 
	cd $(TMP)/$(EMACS); cp ../whizzytex.el .; \
	$(EMACS) -batch -q -l ../../byte-compile.el
endif

ifdef XEMACS
$(TMP)/$(XEMACS): $(TMP)
	mkdir -p $@

$(TMP)/$(XEMACS)/whizzytex.elc: $(TMP)/$(XEMACS)
$(TMP)/$(XEMACS)/whizzytex.elc: $(TMP)/whizzytex.el byte-compile.el 
	cd $(TMP)/$(XEMACS); cp ../whizzytex.el .; \
	$(XEMACS) -batch -q -l ../../byte-compile.el
endif

$(TMP)/whizzytex: $(SRC)/whizzytex $(TMP) config.ok
	sed -e '1s|^#!/bin/bash *$$|#!$(BASH)|' \
	    -e 's|^PACKAGE=.*|PACKAGE=$(LATEXDIR)/whizzytex.sty|' \
	    -e 's|^DVIPS=.*|DVIPS=$(DVIPS)|' \
	    -e 's|^INITEX=.*|INITEX=$(INITEX)|' \
	    -e 's|^LATEX=.*|LATEX=$(LATEX)|' \
	    -e 's|^LATEXFMT=.*|LATEXFMT=$(LATEXFMT)|' \
	 <  $< > $@
	chmod +x $@

ifdef EMACSDIR
start-emacs.el: $(SRC)/start.el
	@sed -e 's|^\( *"\)[^ ]*\(" *\)$$|\1$(EMACSDIR)/whizzytex\2|' $<
endif

ifdef XEMACSDIR
start-xemacs.el: $(SRC)/start.el
	@sed -e 's|^\( *"\)[^ ]*\(" *\)$$|\1$(XEMACSDIR)/whizzytex\2|' $<
endif

.PHONY: install
install: all
ifdef EMACSDIR
	install -d $(PREFIX)$(EMACSDIR)
	install $(TMP)/whizzytex.el $(PREFIX)$(EMACSDIR)
endif
ifneq ($(EMACSDIR),$(XEMACSDIR))
ifdef XEMACSDIR
	install -d $(PREFIX)$(XEMACSDIR)
	install $(TMP)/whizzytex.el $(PREFIX)$(XEMACSDIR)
endif
ifdef EMACS
	install $(TMP)/$(EMACS)/whizzytex.elc $(PREFIX)$(EMACSDIR)
endif
ifdef XEMACS
	install $(TMP)/$(XEMACS)/whizzytex.elc $(PREFIX)$(XEMACSDIR)
endif
endif
	install -d $(PREFIX)$(BINDIR)
	install $(TMP)/whizzytex $(PREFIX)$(BINDIR)
	install -d $(PREFIX)$(LATEXDIR) && \
	install $(SRC)/whizzytex.sty $(PREFIX)$(LATEXDIR)
ifdef DOCDIR
	install -d $(PREFIX)$(DOCDIR) && \
	install doc/manual.html COPYING GPL INSTALL $(PREFIX)$(DOCDIR)
endif

.PHONY: uninstall
uninstall: 
ifdef EMACSDIR
	rm -f $(PREFIX)$(EMACSDIR)/whizzytex.{el,elc}
	rmdir $(PREFIX)$(EMACSDIR) 2>/dev/null || true
endif
ifneq ($(EMACSDIR),$(XEMACSDIR))
ifdef XEMACSDIR
	rm -f $(PREFIX)$(EMACSDIR)/whizzytex.{el,elc}
	rmdir $(PREFIX)$(EMACSDIR) 2>/dev/null || true
endif
endif
	rm -f $(PREFIX)$(BINDIR)/whizzytex
	rmdir $(PREFIX)$(BINDIR) 2>/dev/null || true
	rm -f $(PREFIX)$(LATEXDIR)/whizzytex.sty 
	rmdir $(PREFIX)$(LATEXDIR) 2>/dev/null || true
ifdef DOCDIR
	rm -f $(PREFIX)$(DOCDIR)/{doc/manual.html,COPYING,GPL,INSTALL}
	rmdir $(PREFIX)$(DOCDIR) 2>/dev/null || true
endif

clean::
	rm -rf $(TMP)
	rm -f latex.fmt initex.log latex.log dvips.log
	rm -f dummy.{tex,log,aux,dvi,ps}
	rm -f config.ok
	cd examples; make clean

superclean::
	rm -f Makefile.config

=== doc/Makefile ===
manual.dvi: manual.tex version.tex
	latex $<
	if grep 'LaTeX Warning: Label(s)' $*.log; then latex $<; fi

version.tex: ../VERSION
	echo '\def\version{'`cat $<`'}' > $@

clean:
	rm -f manual.{aux,log,dvi,dview,wiz,fmt}
	rm -f manual.{haux,htoc}
	rm -rf .advi
	rm -rf .waux

=== examples/Makefile ===
DIRS= basic multiple includes slides advanced
FILES= $(patsubst %,%/main.dvi,$(DIRS))

all: $(FILES)

.tex.dvi:
	cd $(<D); latex $(<F)

clean:
	rm -f */*.{aux,log,dvi,ans,dview,wiz,fmt}

superclean: clean
	rm -f {.,*}/{*~,.#*,#*#}
	rm -rf */_whizzy_*

.SUFFIXES: .tex .dvi

## whizzytex 1.1.3.0

=== Makefile ===
include Makefile.config

# REMOTE INSTALLATION
# The prefix to add in front of all files during installation. 

DESTDIR=


SRC=src
TMP=tmp
INSTALLX=install
INSTALLR=install -m 0644

what:
	@echo 'make what? [ config all install clean distclean uninstall ]'

Makefile.config: 
	@echo '--- Creating default configuration Makefile.config'
	@echo '--- You may edit it or run "make config" for customization'
	cp $@.in $@

.PHONY: all
all: $(TMP)/whizzytex $(TMP)/whizzytex.el \
	$(patsubst %,$(TMP)/%/whizzytex.elc, $(EMACS) $(XEMACS))

.PHONY: config config.force

config: 
	bash ./configure

config.ok: Makefile.config 
	bash ./checkconfig config.ok

config.force: 
	touch config.ok

$(TMP): 
	rm -f $(TMP)
	mkdir -p $@ 

$(TMP)/whizzytex.el: $(SRC)/whizzytex.el $(TMP) config.ok
ifndef ADVI
	sed -e 's|\((defvar whizzy-command-name "\)[^"]*\(".*\)|\1$(BINDIR)/whizzytex\2|' \
	    -e 's|^\( *\)\(("-advi[^)]*")\) *\(("-dvi[^)]*")\)|\1\3 \2|' \
	 <  $< > $@
else
	sed -e 's|\((defvar whizzy-command-name "\)[^"]*\(".*\)|\1$(BINDIR)/whizzytex\2|' \
	 <  $< > $@
endif

ifdef EMACS
$(TMP)/$(EMACS): $(TMP)
	mkdir -p $@

$(TMP)/$(EMACS)/whizzytex.elc: $(TMP)/$(EMACS) 
$(TMP)/$(EMACS)/whizzytex.elc: $(TMP)/whizzytex.el byte-compile.el 
	cd $(TMP)/$(EMACS); cp ../whizzytex.el .; \
	$(EMACS) -batch -q -l ../../byte-compile.el
endif

ifdef XEMACS
$(TMP)/$(XEMACS): $(TMP)
	mkdir -p $@

$(TMP)/$(XEMACS)/whizzytex.elc: $(TMP)/$(XEMACS)
$(TMP)/$(XEMACS)/whizzytex.elc: $(TMP)/whizzytex.el byte-compile.el 
	cd $(TMP)/$(XEMACS); cp ../whizzytex.el .; \
	$(XEMACS) -batch -q -l ../../byte-compile.el
endif

$(TMP)/whizzytex: $(SRC)/whizzytex $(TMP) config.ok
	sed -e '1s|^#!/bin/bash *$$|#!$(BASH)|' \
	    -e 's|^PACKAGE=.*|PACKAGE=$(LATEXDIR)/whizzytex.sty|' \
	    -e 's|^GREPB=.*|GREPB=$(GREPB)|' \
	    -e 's|^MULTIPLE=.*|MULTIPLE=$(MULTIPLE)|' \
	    -e 's|^DVIPS=.*|DVIPS=$(DVIPS)|' \
	    -e 's|^CONFIGFILE=.*|CONFIGFILE=$(CONFIGFILE)|' \
	    -e 's|^INITEX=.*|INITEX=$(INITEX)|' \
	    -e 's|^LATEX=.*|LATEX=$(LATEX)|' \
	    -e 's|^FORMAT=.*|FORMAT=$(FORMAT)|' \
	    -e 's|^FMT=.*|FMT=$(FMT)|' \
	    -e 's|^BIBTEX=.*|BIBTEX=$(BIBTEX)|' \
	 <  $< > $@
	chmod +x $@

ifdef EMACSDIR
start-emacs.el: $(SRC)/start.el
	@sed -e 's|^\( *"\)[^ ]*\(" *\)$$|\1$(EMACSDIR)/whizzytex\2|' $<
endif

ifdef XEMACSDIR
start-xemacs.el: $(SRC)/start.el
	@sed -e 's|^\( *"\)[^ ]*\(" *\)$$|\1$(XEMACSDIR)/whizzytex\2|' $<
endif

.PHONY: install
install: all
ifdef EMACSDIR
	rm -f Manager.installed
	mkdir -p $(DESTDIR)$(EMACSDIR)
	$(INSTALLR) $(TMP)/whizzytex.el $(DESTDIR)$(EMACSDIR)
	echo $(DESTDIR)$(EMACSDIR)/whizzytex.el >> Manager.installed
	rm -f $(EMACSDIR)/whizzytex.elc
ifdef EMACS
	$(INSTALLR) $(TMP)/$(EMACS)/whizzytex.elc $(DESTDIR)$(EMACSDIR)
	echo $(DESTDIR)$(EMACSDIR)/whizzytex.elc >> Manager.installed
endif
endif
ifdef XEMACSDIR
	mkdir -p $(DESTDIR)$(XEMACSDIR)
	$(INSTALLR) $(TMP)/whizzytex.el $(DESTDIR)$(XEMACSDIR)
	echo $(DESTDIR)$(XEMACSDIR)/whizzytex.el >> Manager.installed
	rm -f $(XEMACSDIR)/whizzytex.elc
ifdef XEMACS
	cp $(TMP)/$(XEMACS)/whizzytex.elc $(DESTDIR)$(XEMACSDIR)
	echo $(DESTDIR)$(XEMACSDIR)/whizzytex.elc >> Manager.installed
endif
endif
	mkdir -p $(DESTDIR)$(BINDIR)
	$(INSTALLX) $(TMP)/whizzytex $(DESTDIR)$(BINDIR)
	echo $(DESTDIR)$(BINDIR)/whizzytex >> Manager.installed
	mkdir -p $(DESTDIR)$(LATEXDIR) 
	$(INSTALLR) $(SRC)/whizzytex.sty $(DESTDIR)$(LATEXDIR)
	echo $(DESTDIR)$(LATEXDIR)/whizzytex.sty >> Manager.installed
	mkdir -p $(DESTDIR)$(DOCDIR) 
	$(INSTALLR) doc/manual.html COPYING GPL INSTALL $(DESTDIR)$(DOCDIR)
	for i in manual.html COPYING GPL INSTALL; \
	 do echo $(DOCDIR)/$$i; done >> Manager.installed

where:
ifdef EMACSDIR
	@echo 'Emacs Lisp in EMACSDIR=$(DESTDIR)$(EMACSDIR)'
ifdef EMACS
	@echo 'Byte-compiled Emacs Lisp in EMACSDIR=$(DESTDIR)$(EMACSDIR)'
endif
endif
ifdef XEMACSDIR
	@echo 'XEmacs Lisp in XEMACSDIR=$(XEMACSDIR)'
ifdef XEMACS
	@echo 'Byte-compiled XEmacs Lisp  in XEMACSDIR=$(DESTDIR)$(XEMACSDIR)'
endif
endif
	@echo 'Script  in BINDIR=$(DESTDIR)$(BINDIR)'
	@echo 'Latex macros  in LATEXDIR=$(DESTDIR)$(LATEXDIR)'
	@echo 'Documentation  in DOCDIR=$(DESTDIR)$(DOCDIR)'

.PHONY: uninstall
uninstall: Manager.installed
	rm -f `cat Manager.installed`
	rm -f Manager.installed


clean::
	rm -rf $(TMP)
	rm -f latex.fmt initex.log latex.log dvips.log
	rm -f dummy.{tex,fmt,log,aux,dvi,ps}
	rm -f config.error config.sed
	cd examples; make clean

distclean:: clean
	rm -f Makefile.config config.ok

=== doc/Makefile ===
HEVEA = hevea -exec xxdate.exe 
HVAOPT = -fix -nosymb
# HVAOPT = -charset iso-8859-1 -fix -nosymb

all: manual.dvi manual.html whizzytex.info


manual.dvi: manual.tex version.tex
	latex $<
	if grep 'LaTeX Warning: Label(s)' $*.log; then latex $<; fi

manual.html: manual.tex manual.dvi
	$(HEVEA) $(HVAOPT) -o $@ $<

whizzytex.info: manual.tex
	$(HEVEA) $(HVAOPT) -o $@ $<

clean:
	rm -f {whizzytex,manual}.{aux,log,dvi,dview,wiz,fmt}
	rm -f {whizzytex,manual}.{haux,htoc,waux,advi}

=== examples/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	cd $(<D); latex $(<F)
 
 clean:
-	rm -f */*.{aux,log,dvi,ans,dview,wiz,fmt}
+	rm -f */*.{aux,log,dvi,ans,dview,wiz,waux,fmt}
 
 superclean: clean
 	rm -f {.,*}/{*~,.#*,#*#}

## whizzytex 1.2.2

=== Makefile ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	rm -f $(TMP)
 	mkdir -p $@ 
 
-$(TMP)/whizzytex.el: $(SRC)/whizzytex.el $(TMP) config.ok
+$(TMP)/whizzytex.el: $(SRC)/whizzytex.el $(TMP) Makefile.config
 ifndef ADVI
 	sed -e 's|\((defvar whizzy-command-name "\)[^"]*\(".*\)|\1$(BINDIR)/whizzytex\2|' \
 	    -e 's|^\( *\)\(("-advi[^)]*")\) *\(("-dvi[^)]*")\)|\1\3 \2|' \
@@ -71,7 +71,6 @@
 $(TMP)/whizzytex: $(SRC)/whizzytex $(TMP) config.ok
 	sed -e '1s|^#!/bin/bash *$$|#!$(BASH)|' \
 	    -e 's|^PACKAGE=.*|PACKAGE=$(LATEXDIR)/whizzytex.sty|' \
-	    -e 's|^GREPB=.*|GREPB=$(GREPB)|' \
 	    -e 's|^MULTIPLE=.*|MULTIPLE=$(MULTIPLE)|' \
 	    -e 's|^DVIPS=.*|DVIPS=$(DVIPS)|' \
 	    -e 's|^CONFIGFILE=.*|CONFIGFILE=$(CONFIGFILE)|' \
@@ -84,12 +83,12 @@
 	chmod +x $@
 
 ifdef EMACSDIR
-start-emacs.el: $(SRC)/start.el
+whizzytex-emacs-init.el: $(SRC)/whizzytex-init.el
 	@sed -e 's|^\( *"\)[^ ]*\(" *\)$$|\1$(EMACSDIR)/whizzytex\2|' $<
 endif
 
 ifdef XEMACSDIR
-start-xemacs.el: $(SRC)/start.el
+whizzytex-xemacs-init.el: $(SRC)/whizzytex-init.el
 	@sed -e 's|^\( *"\)[^ ]*\(" *\)$$|\1$(XEMACSDIR)/whizzytex\2|' $<
 endif
 
@@ -100,7 +99,7 @@
 	mkdir -p $(DESTDIR)$(EMACSDIR)
 	$(INSTALLR) $(TMP)/whizzytex.el $(DESTDIR)$(EMACSDIR)
 	echo $(DESTDIR)$(EMACSDIR)/whizzytex.el >> Manager.installed
-	rm -f $(EMACSDIR)/whizzytex.elc
+	rm -f $(DESTDIR)/$(EMACSDIR)/whizzytex.elc
 ifdef EMACS
 	$(INSTALLR) $(TMP)/$(EMACS)/whizzytex.elc $(DESTDIR)$(EMACSDIR)
 	echo $(DESTDIR)$(EMACSDIR)/whizzytex.elc >> Manager.installed
@@ -110,7 +109,7 @@
 	mkdir -p $(DESTDIR)$(XEMACSDIR)
 	$(INSTALLR) $(TMP)/whizzytex.el $(DESTDIR)$(XEMACSDIR)
 	echo $(DESTDIR)$(XEMACSDIR)/whizzytex.el >> Manager.installed
-	rm -f $(XEMACSDIR)/whizzytex.elc
+	rm -f $(DESTDIR)/$(XEMACSDIR)/whizzytex.elc
 ifdef XEMACS
 	cp $(TMP)/$(XEMACS)/whizzytex.elc $(DESTDIR)$(XEMACSDIR)
 	echo $(DESTDIR)$(XEMACSDIR)/whizzytex.elc >> Manager.installed
@@ -123,8 +122,8 @@
 	$(INSTALLR) $(SRC)/whizzytex.sty $(DESTDIR)$(LATEXDIR)
 	echo $(DESTDIR)$(LATEXDIR)/whizzytex.sty >> Manager.installed
 	mkdir -p $(DESTDIR)$(DOCDIR) 
-	$(INSTALLR) doc/manual.html COPYING GPL INSTALL $(DESTDIR)$(DOCDIR)
-	for i in manual.html COPYING GPL INSTALL; \
+	$(INSTALLR) doc/whizzytex.html COPYING GPL INSTALL $(DESTDIR)$(DOCDIR)
+	for i in doc/whizzytex.html COPYING GPL INSTALL; \
 	 do echo $(DOCDIR)/$$i; done >> Manager.installed
 
 where:

=== doc/Makefile ===
HEVEA = hevea -exec xxdate.exe 
HVAOPT = -fix -nosymb
# HVAOPT = -charset iso-8859-1 -fix -nosymb

DOCSOURCES=manual.tex manual.sty caml.eps version.tex Makefile
DOCFORMATS=dvi ps pdf html info
all: FILES

FILES: $(addprefix whizzytex., dvi ps pdf html info) Makefile
	cd ..; \
	ls $(addprefix doc/whizzytex., dvi ps pdf html info) \
	   doc/whizzytex00?.gif doc/whizzytex.info-* \
	   $(addprefix doc/, $(DOCSOURCES)) \
	> doc/$@

manual.hva: manual.sty
	ln -s $< $@

whizzytex.dvi: manual.tex version.tex
	latex $<
	latex $<
	mv manual.dvi $@

whizzytex.ps: whizzytex.dvi
	latex '\def\driver{dvips}\input' manual.tex
	dvips -o $@ manual.dvi

whizzytex.pdf: whizzytex.ps
	ps2pdf $<

whizzytex.html: manual.tex manual.hva whizzytex.dvi 
	$(HEVEA) $(HVAOPT) -o $@ $< && \
	imagen whizzytex

whizzytex.info: manual.tex
	$(HEVEA) $(HVAOPT) -info -o $@ $<

clean:
	rm -f whizzytex.{log,image.*,h{aux,toc}}
	rm -f manual.{aux,log,dvi,toc,dview,wiz,fmt}

distclean: clean
	rm -f whizzytex.{dvi,ps,pdf,html,info} manual.hva

=== examples/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-DIRS= basic multiple includes slides advanced
+DIRS= basic multiple includes book slides effects 
 FILES= $(patsubst %,%/main.dvi,$(DIRS))
 
 all: $(FILES)

## whizzytex 1.3.1

=== Makefile ===
--- 
+++ 
@@ -72,13 +72,13 @@
 	sed -e '1s|^#!/bin/bash *$$|#!$(BASH)|' \
 	    -e 's|^PACKAGE=.*|PACKAGE=$(LATEXDIR)/whizzytex.sty|' \
 	    -e 's|^MULTIPLE=.*|MULTIPLE=$(MULTIPLE)|' \
-	    -e 's|^DVIPS=.*|DVIPS=$(DVIPS)|' \
+	    -e 's|^DVIPS=.*|DVIPS="$(DVIPS)"|' \
 	    -e 's|^CONFIGFILE=.*|CONFIGFILE=$(CONFIGFILE)|' \
-	    -e 's|^INITEX=.*|INITEX=$(INITEX)|' \
-	    -e 's|^LATEX=.*|LATEX=$(LATEX)|' \
-	    -e 's|^FORMAT=.*|FORMAT=$(FORMAT)|' \
+	    -e 's|^INITEX=.*|INITEX="$(INITEX)"|' \
+	    -e 's|^LATEX=.*|LATEX="$(LATEX)"|' \
+	    -e 's|^FORMAT=.*|FORMAT="$(FORMAT)"|' \
 	    -e 's|^FMT=.*|FMT=$(FMT)|' \
-	    -e 's|^BIBTEX=.*|BIBTEX=$(BIBTEX)|' \
+	    -e 's|^BIBTEX=.*|BIBTEX="$(BIBTEX)"|' \
 	 <  $< > $@
 	chmod +x $@
 
@@ -99,7 +99,7 @@
 	mkdir -p $(DESTDIR)$(EMACSDIR)
 	$(INSTALLR) $(TMP)/whizzytex.el $(DESTDIR)$(EMACSDIR)
 	echo $(DESTDIR)$(EMACSDIR)/whizzytex.el >> Manager.installed
-	rm -f $(DESTDIR)/$(EMACSDIR)/whizzytex.elc
+	rm -f $(DESTDIR)$(EMACSDIR)/whizzytex.elc
 ifdef EMACS
 	$(INSTALLR) $(TMP)/$(EMACS)/whizzytex.elc $(DESTDIR)$(EMACSDIR)
 	echo $(DESTDIR)$(EMACSDIR)/whizzytex.elc >> Manager.installed
@@ -109,7 +109,7 @@
 	mkdir -p $(DESTDIR)$(XEMACSDIR)
 	$(INSTALLR) $(TMP)/whizzytex.el $(DESTDIR)$(XEMACSDIR)
 	echo $(DESTDIR)$(XEMACSDIR)/whizzytex.el >> Manager.installed
-	rm -f $(DESTDIR)/$(XEMACSDIR)/whizzytex.elc
+	rm -f $(DESTDIR)$(XEMACSDIR)/whizzytex.elc
 ifdef XEMACS
 	cp $(TMP)/$(XEMACS)/whizzytex.elc $(DESTDIR)$(XEMACSDIR)
 	echo $(DESTDIR)$(XEMACSDIR)/whizzytex.elc >> Manager.installed

=== doc/Makefile ===
--- 
+++ 
@@ -1,6 +1,5 @@
 HEVEA = hevea -exec xxdate.exe 
-HVAOPT = -fix -nosymb
-# HVAOPT = -charset iso-8859-1 -fix -nosymb
+HVAOPT = -fix 
 
 DOCSOURCES=manual.tex manual.sty caml.eps version.tex Makefile
 DOCFORMATS=dvi ps pdf html info

=== examples/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	cd $(<D); latex $(<F)
 
 clean:
-	rm -f */*.{aux,log,dvi,ans,dview,wiz,waux,fmt}
+	rm -f */*.{aux,log,dvi,ans,dview,wiz,waux,fmt,out,nav,snm,vrb,toc}
 
 superclean: clean
 	rm -f {.,*}/{*~,.#*,#*#}

## whizzytex 1.3.1-4

=== debian/changelog ===
whizzytex (1.3.1-4) unstable; urgency=low

  * Dependency update: move gv to recommends, remove tetex dependency and
    keep the texlive dependnecy, and keep advi as depends. 
    (closes: #525992, #525996)

 -- Junichi Uekawa <dancer@debian.org>  Wed, 06 May 2009 15:19:54 +0900

whizzytex (1.3.1-3) unstable; urgency=low

  * Bug fix: "whizzytex: FTBFS: ! LaTeX Error: File `kvoptions.sty
    not found.", thanks to Lucas Nussbaum (Closes: #467587).
  - it seems to have moved over to texlive-base-recommended.

 -- Junichi Uekawa <dancer@debian.org>  Wed, 27 Feb 2008 09:08:33 +0900

whizzytex (1.3.1-2) unstable; urgency=low

  * Bug fix: "whizzytex: Missing examples in package", thanks to Boris
    Yakobowski (Closes: #464865).

 -- Junichi Uekawa <dancer@debian.org>  Thu, 14 Feb 2008 08:16:29 +0900

whizzytex (1.3.1-1) unstable; urgency=low

  * New upstream release
  * updated patches

 -- Junichi Uekawa <dancer@debian.org>  Thu, 22 Nov 2007 08:34:57 +0900

whizzytex (1.3.0-6) unstable; urgency=low

  * Bug fix: "whizzytex: PDF viewer not usable", thanks to Martin Quinson
    (Closes: #441306).
  - use "pdflatex -ini", instead of pdfinitex.

 -- Junichi Uekawa <dancer@debian.org>  Mon, 10 Sep 2007 21:48:39 +0900

whizzytex (1.3.0-5) unstable; urgency=low

  * Bug fix: "whizzytex: Texlive support", thanks to Stuart Teasdale
    (Closes: #388433).

 -- Junichi Uekawa <dancer@debian.org>  Wed, 11 Apr 2007 21:54:08 +0900

whizzytex (1.3.0-4) unstable; urgency=low

  * clean test files.
  * Bug fix: "-ini: command not found on every run", thanks to
    Dylan Thurston (Closes: #374071).
  * Standards-Version: 3.7.2
  * updated FAQ from http://cristal.inria.fr/whizzytex/FAQ.html
  * /etc/whizzytex/whizzytexrc is now empty; we don't really need 
    to override default settings anymore. This fixes:
  - Bug fix: "gv does not work with whizzytex, whizzytex seems to be
    broken", thanks to Lionel Elie Mamane (Closes: #228912).
  - Bug fix: "whizzytex: Configuration is a mess", thanks to Dylan
    Thurston (Closes: #374073).
  
 -- Junichi Uekawa <dancer@debian.org>  Sat, 17 Jun 2006 14:11:08 +0900

whizzytex (1.3.0-3) unstable; urgency=low

  * README.Debian: update URL to cristal.inria.fr
  * Bug fix: "whizzytex: Don't include GPL", thanks to Dylan Thurston
    (Closes: #365904).
  * updated FAQ from http://cristal.inria.fr/whizzytex/FAQ.html

 -- Junichi Uekawa <dancer@debian.org>  Mon, 29 May 2006 22:44:09 +0900

whizzytex (1.3.0-2) unstable; urgency=low

  * README.Debian: documentation update for ptex-bin 3.1.9+0.04b-1, which
    removed iniptex. Other minor updates to text.

 -- Junichi Uekawa <dancer@debian.org>  Sun,  9 Apr 2006 13:17:44 +0900

whizzytex (1.3.0-1) unstable; urgency=low

  * New upstream release
  - Bug fix: "Wrong type argument: integerp, nil" (Closes: #346208).
  - 07_bash_makefile: update
  - 09_compat_config: update
  - 10_hevea_nosymb_dropped: merged upstream, remove.
  * updated FAQ from http://cristal.inria.fr/whizzytex/FAQ.html

 -- Junichi Uekawa <dancer@debian.org>  Sun, 15 Jan 2006 12:20:06 +0900

whizzytex (1.2.3-4) unstable; urgency=low

  * Remove Depends on xdvi package which doesn't exist.
    xdvi is part of tetex-bin. Since nobody has complained so far,
    and advi is much superior when using whizzytex,
    make whizzytex depend on advi | gv.
  * update FAQ location to cristal
  - updated FAQ from http://cristal.inria.fr/whizzytex/FAQ.html
  * quote "pdfetex -ini" in Makefile.config

 -- Junichi Uekawa <dancer@debian.org>  Fri,  6 Jan 2006 21:41:37 +0900

whizzytex (1.2.3-3) unstable; urgency=low

  * debian/Makefile.config: reflect einitex->"pdfetex -ini" change.
  * debian/copyright: upstream page moved to cristal.inria.fr

 -- Junichi Uekawa <dancer@debian.org>  Thu, 17 Nov 2005 07:28:15 +0900

whizzytex (1.2.3-2) unstable; urgency=low

  * Bug fix: "whizzytex: einitex unavailable from tetex and no longer
    functions.", thanks to Roland Stigge for reporting (Closes: #338046).
    Work around recent tetex3.0 change. The notable things were:
    .  tex -ini is used instead of removed 'initex'.
    .  Now pdfetex is used for formatting.
  
  - Documented the change in README.Debian
  - Depend on tetex-bin 3.0-10 or greater.

  * DH_COMPAT=4.
  * debian/test-file/test1.tex: add a little test file here for 
    manual regression testing.

  * remove Manager.installed file which is not cleaned after build.

 -- Junichi Uekawa <dancer@debian.org>  Sat, 12 Nov 2005 13:10:17 +0900

whizzytex (1.2.3-1) unstable; urgency=low

  * New upstream release
  * Set MULTIPLE=true by default (closes: #314476)
  - Pressing 'w' in advi window will toggle the 'current' view and 'whole'
    view.
  * 10_hevea_nosymb_dropped: -nosymb option is no longer
    accepted by hevea.
  - build-depend on hevea 1.08 or greater
  * Standards-Version 3.6.2: no change.
  * updated FAQ from http://pauillac.inria.fr/whizzytex/FAQ.html

 -- Junichi Uekawa <dancer@debian.org>  Sun, 21 Aug 2005 12:04:00 +0900

whizzytex (1.2.2-2) unstable; urgency=low

  * install upstream changelog (closes: #303506)
  * updated FAQ from http://pauillac.inria.fr/whizzytex/FAQ.html

 -- Junichi Uekawa <dancer@debian.org>  Fri,  8 Apr 2005 06:15:17 +0900

whizzytex (1.2.2-1) unstable; urgency=low

  * New upstream release (closes: #276196)
  * Update debian patches:
  - 05_release -- no longer required, removed
  - 06_fix_docmake -- applied upstream, removed
  - 07_bash_makefile -- update
  * Keep configuration file compatibility by loading config 
    files in the old path as well
  - 09_compat_config -- new
  
  * Build-Depends: add advi, for documentation requires 
    'advi-annot.sty'.
  * debian/rules: manual.html is now called whizzytex.html
    clean rule updated for new files.
  * updated FAQ from http://pauillac.inria.fr/whizzytex/FAQ.html
  * Updated README.Debian to reflect current status
  * Add LEVEL=2 to whizzytex.conf, and document to README.Debian.


=== debian/control ===
Source: whizzytex
Section: tex
Priority: optional
Maintainer: Junichi Uekawa <dancer@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0), dpatch, hevea (>= 1.08), texlive-pstricks, texlive-latex-extra, advi, texlive-latex-recommended
Standards-Version: 3.7.2

Package: whizzytex
Architecture: all
Depends: emacsen, texlive-latex-base, advi
Recommends: gv, xpdf-reader
Description: a WYSIWYG emacs environment for LaTeX
 WhizzyTeX is an emacs minor mode for incrementally
 (TeXing and) previewing a LaTeX file while editing at real-time.
 .
 It works with ghostview-based and xdvi-based previewers,
 but enhanced visual effects and wider variety of options
 will be available when using the advi DVI-previewer.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

# debian/tmp-info/whizzytex.info is used as a temporary space 
# to hold whizzytex info file.

include /usr/share/dpatch/dpatch.make

configure: configure-stamp
configure-stamp: patch
	dh_testdir
	cp debian/Makefile.config .
	$(MAKE) config.force

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) all
	LC_ALL=C LANG=C $(MAKE) -C doc whizzytex.html whizzytex.info

	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp 
	rm -rf debian/tmp-info

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	-$(MAKE) -C doc distclean

	# extra clean-up upstream does not do.
	rm -f doc/whizzytex.info* doc/whizzytex00[123].png
	cd doc && rm -f *~ missfont.log texput.log manual.html-*
	rm -f Manager.installed
	rm -rf debian/testfile/_whizzy_* debian/testfile/*.aux debian/testfile/*.log debian/testfile/*.dvi debian/testfile/*.waux debian/testfile/*.log debian/testfile/*.out debian/testfile/*~

	dh_clean Makefile.config

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/whizzytex.
	$(MAKE) install \
	DESTDIR=$(CURDIR)/debian/whizzytex/
	# remove extra docs I don't need
	rm -f $(CURDIR)/debian/whizzytex/usr/share/doc/whizzytex/COPYING
	rm -f $(CURDIR)/debian/whizzytex/usr/share/doc/whizzytex/GPL
	rm -f $(CURDIR)/debian/whizzytex/usr/share/doc/whizzytex/INSTALL
	install -m 755 -o root -g root -d $(CURDIR)/debian/whizzytex/etc/whizzytex
	install -m 644 -o root -g root debian/whizzytexrc $(CURDIR)/debian/whizzytex/etc/whizzytex/whizzytex.conf
	# hack the header for whizzytex info file.
	-mkdir debian/tmp-info
	(head -1 doc/whizzytex.info;  \
	cat debian/whizzytex.info-header ; \
	sed 1d < doc/whizzytex.info ) > debian/tmp-info/whizzytex.info
	cp doc/whizzytex.info-* debian/tmp-info

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installemacsen
	dh_installcron
	dh_installman
	dh_installinfo -v debian/tmp-info/whizzytex.info*
	dh_installchangelogs CHANGES
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# eval this in emacs: (shell-command "cd ../ && debian/rules getfaq")
getfaq:
	rm -f debian/FAQ-new.html
	wget http://cristal.inria.fr/whizzytex/FAQ.html -O debian/FAQ-new.html 
	mv debian/FAQ-new.html debian/FAQ.html
	dch -a "updated FAQ from http://cristal.inria.fr/whizzytex/FAQ.html"

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## whizzytex 1.3.1-4ubuntu1

=== debian/changelog ===
whizzytex (1.3.1-4ubuntu1) oneiric; urgency=low

  * Add alternative recommendation on pdf-viewer.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 04 Sep 2011 15:16:46 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: whizzytex
 Architecture: all
 Depends: emacsen, texlive-latex-base, advi
-Recommends: gv, xpdf-reader
+Recommends: gv, xpdf-reader | pdf-viewer
 Description: a WYSIWYG emacs environment for LaTeX
  WhizzyTeX is an emacs minor mode for incrementally
  (TeXing and) previewing a LaTeX file while editing at real-time.

## whizzytex 1.3.2

=== doc/Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 DOCSOURCES=manual.tex manual.sty caml.eps version.tex Makefile
 DOCFORMATS=dvi ps pdf html info
+SHELL = bash
 all: FILES
 
 FILES: $(addprefix whizzytex., dvi ps pdf html info) Makefile

=== examples/gpic/Makefile ===
SOURCES = main.ltx subfile.ltx
TEXFILES = $(patsubst %.ltx, %.tex, $(SOURCES))
GPIC=../bin/mkgpic

main.dvi: $(TEXFILES)
	latex main.tex

files: $(TEXFILES)

# to force recompilation even if same date (second is not precise enough)
.force:
_whizzy_%.tex: _whizzy_%.new .force
	$(GPIC) -slice $@

%.tex: %.ltx
	$(GPIC) -file $<

clean:
	rm -f *.{tex,log,aux,dvi}

=== debian/changelog ===
whizzytex (1.3.2-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control
    - fix Build-Depends since pgf is intergrated into TeXLive.

 -- Hideki Yamane <henrich@debian.org>  Thu, 29 Jun 2017 20:11:36 +0900

whizzytex (1.3.2-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control
    - set Depends from emacs23 to emacs (Closes: #754040) 

 -- Hideki Yamane <henrich@debian.org>  Mon, 15 Sep 2014 11:44:15 +0900

whizzytex (1.3.2-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control
    - add "Build-Depends-Indep: pgf" to fix FTBFS (Closes: #713507)
    - set "Build-Depends: debhelper (>> 7.0.50~) 
    - drop "Build-Depends: dpatch" to fix lintian Error.
  * add debian/source/fomrat as "3.0 (quilt)"
  * debian/rules
    - drop dpatch 
  * debian/patches
    - convert to quilt
  * add debian/compat as 7

 -- Hideki Yamane <henrich@debian.org>  Sun, 06 Oct 2013 16:06:20 +0900

whizzytex (1.3.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * 11_boxsep_boolean: doc/manual.tex: Set "boxsep" to "false" rather
    than "0pt".  Closes: #666645.
  * Use dh_installtex.  Closes: #669395.

 -- Matej Vela <vela@debian.org>  Sat, 19 May 2012 18:49:04 +0100

whizzytex (1.3.2-1) unstable; urgency=low

  [ Matthias Klose ]
  * Add alternative recommendation on pdf-viewer.

  [ Junichi Uekawa ]
  * merge ubuntu patch (closes: #640353)
  * new upstream version (closes: #636448)
  - 10_no_pdfinitex: merged upstream, removed.
  * fix examples/examples directory and put to examples (closes: #541745)
  * Fix lintian errors.
  - add misc:Depends
  - add INSTALL-INFO header
  - no longer call install-info from postinst/prerm.

 -- Junichi Uekawa <dancer@debian.org>  Wed, 21 Sep 2011 10:02:14 +0900

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: tex
 Priority: optional
 Maintainer: Junichi Uekawa <dancer@debian.org>
-Build-Depends-Indep: debhelper (>> 3.0.0), dpatch, hevea (>= 1.08), texlive-pstricks, texlive-latex-extra, advi, texlive-latex-recommended
+Build-Depends-Indep: hevea (>= 1.08), texlive-pstricks, texlive-latex-extra, advi, texlive-latex-recommended, tex-common, texlive-pictures,
+Build-Depends: debhelper (>> 7.0.50~)
 Standards-Version: 3.7.2
 
 Package: whizzytex
 Architecture: all
-Depends: emacsen, texlive-latex-base, advi
+Depends: emacs | emacsen, texlive-latex-base, advi, ${misc:Depends}
 Recommends: gv, xpdf-reader | pdf-viewer
 Description: a WYSIWYG emacs environment for LaTeX
  WhizzyTeX is an emacs minor mode for incrementally

=== debian/rules ===
--- 
+++ 
@@ -5,16 +5,11 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-# This is the debhelper compatibility version to use.
-export DH_COMPAT=4
-
 # debian/tmp-info/whizzytex.info is used as a temporary space 
 # to hold whizzytex info file.
 
-include /usr/share/dpatch/dpatch.make
-
 configure: configure-stamp
-configure-stamp: patch
+configure-stamp: 
 	dh_testdir
 	cp debian/Makefile.config .
 	$(MAKE) config.force
@@ -32,7 +27,7 @@
 
 	touch build-stamp
 
-clean: unpatch
+clean: 
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp 
@@ -84,6 +79,7 @@
 	dh_installman
 	dh_installinfo -v debian/tmp-info/whizzytex.info*
 	dh_installchangelogs CHANGES
+	dh_installtex
 	dh_link
 	dh_strip
 	dh_compress

## whizzytex 1.3.3

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,8 @@
 INSTALLX=install
 INSTALLR=install -m 0644
 
+INSTALLED = whizzytex.installed
+
 what:
 	@echo 'make what? [ config all install clean distclean uninstall ]'
 
@@ -19,20 +21,22 @@
 	@echo '--- You may edit it or run "make config" for customization'
 	cp $@.in $@
 
+ALL = $(TMP)/whizzytex $(TMP)/whizzytex.el \
+	$(patsubst %,$(TMP)/%/whizzytex.elc, $(EMACS) $(XEMACS))
+
 .PHONY: all
-all: $(TMP)/whizzytex $(TMP)/whizzytex.el \
-	$(patsubst %,$(TMP)/%/whizzytex.elc, $(EMACS) $(XEMACS))
+all: config.checked $(ALL)
 
 .PHONY: config config.force
 
 config: 
 	bash ./configure
 
-config.ok: Makefile.config 
-	bash ./checkconfig config.ok
+config.checked: Makefile.config 
+	bash ./checkconfig config.checked
 
 config.force: 
-	touch config.ok
+	touch config.checked
 
 $(TMP): 
 	rm -f $(TMP)
@@ -55,7 +59,7 @@
 $(TMP)/$(EMACS)/whizzytex.elc: $(TMP)/$(EMACS) 
 $(TMP)/$(EMACS)/whizzytex.elc: $(TMP)/whizzytex.el byte-compile.el 
 	cd $(TMP)/$(EMACS); cp ../whizzytex.el .; \
-	$(EMACS) -batch -q -l ../../byte-compile.el
+	$(EMACS) -batch -q -no-site-file -l ../../byte-compile.el
 endif
 
 ifdef XEMACS
@@ -65,10 +69,10 @@
 $(TMP)/$(XEMACS)/whizzytex.elc: $(TMP)/$(XEMACS)
 $(TMP)/$(XEMACS)/whizzytex.elc: $(TMP)/whizzytex.el byte-compile.el 
 	cd $(TMP)/$(XEMACS); cp ../whizzytex.el .; \
-	$(XEMACS) -batch -q -l ../../byte-compile.el
+	$(XEMACS) -batch -q -no-site-file -l ../../byte-compile.el
 endif
 
-$(TMP)/whizzytex: $(SRC)/whizzytex $(TMP) config.ok
+$(TMP)/whizzytex: $(SRC)/whizzytex $(TMP) Makefile.config
 	sed -e '1s|^#!/bin/bash *$$|#!$(BASH)|' \
 	    -e 's|^PACKAGE=.*|PACKAGE=$(LATEXDIR)/whizzytex.sty|' \
 	    -e 's|^MULTIPLE=.*|MULTIPLE=$(MULTIPLE)|' \
@@ -94,37 +98,43 @@
 
 .PHONY: install
 install: all
+	@[ -f config.checked ] || ( \
+	echo 'Warning!' && \
+	echo '  Your Makefile.config has not been checked.' && \
+	echo '  Run "make config.checked" (or "make all") to check it,' && \
+	echo '  or  "make config.force"  to accept it as is.' && \
+	false)
 ifdef EMACSDIR
-	rm -f Manager.installed
+	rm -f $(INSTALLED)
 	mkdir -p $(DESTDIR)$(EMACSDIR)
 	$(INSTALLR) $(TMP)/whizzytex.el $(DESTDIR)$(EMACSDIR)
-	echo $(DESTDIR)$(EMACSDIR)/whizzytex.el >> Manager.installed
+	echo $(DESTDIR)$(EMACSDIR)/whizzytex.el >> $(INSTALLED)
 	rm -f $(DESTDIR)$(EMACSDIR)/whizzytex.elc
 ifdef EMACS
 	$(INSTALLR) $(TMP)/$(EMACS)/whizzytex.elc $(DESTDIR)$(EMACSDIR)
-	echo $(DESTDIR)$(EMACSDIR)/whizzytex.elc >> Manager.installed
+	echo $(DESTDIR)$(EMACSDIR)/whizzytex.elc >> $(INSTALLED)
 endif
 endif
 ifdef XEMACSDIR
 	mkdir -p $(DESTDIR)$(XEMACSDIR)
 	$(INSTALLR) $(TMP)/whizzytex.el $(DESTDIR)$(XEMACSDIR)
-	echo $(DESTDIR)$(XEMACSDIR)/whizzytex.el >> Manager.installed
+	echo $(DESTDIR)$(XEMACSDIR)/whizzytex.el >> $(INSTALLED)
 	rm -f $(DESTDIR)$(XEMACSDIR)/whizzytex.elc
 ifdef XEMACS
 	cp $(TMP)/$(XEMACS)/whizzytex.elc $(DESTDIR)$(XEMACSDIR)
-	echo $(DESTDIR)$(XEMACSDIR)/whizzytex.elc >> Manager.installed
+	echo $(DESTDIR)$(XEMACSDIR)/whizzytex.elc >> $(INSTALLED)
 endif
 endif
 	mkdir -p $(DESTDIR)$(BINDIR)
 	$(INSTALLX) $(TMP)/whizzytex $(DESTDIR)$(BINDIR)
-	echo $(DESTDIR)$(BINDIR)/whizzytex >> Manager.installed
+	echo $(DESTDIR)$(BINDIR)/whizzytex >> $(INSTALLED)
 	mkdir -p $(DESTDIR)$(LATEXDIR) 
 	$(INSTALLR) $(SRC)/whizzytex.sty $(DESTDIR)$(LATEXDIR)
-	echo $(DESTDIR)$(LATEXDIR)/whizzytex.sty >> Manager.installed
+	echo $(DESTDIR)$(LATEXDIR)/whizzytex.sty >> $(INSTALLED)
 	mkdir -p $(DESTDIR)$(DOCDIR) 
 	$(INSTALLR) doc/whizzytex.html COPYING GPL INSTALL $(DESTDIR)$(DOCDIR)
 	for i in doc/whizzytex.html COPYING GPL INSTALL; \
-	 do echo $(DOCDIR)/$$i; done >> Manager.installed
+	 do echo $(DOCDIR)/$$i; done >> $(INSTALLED)
 
 where:
 ifdef EMACSDIR
@@ -144,9 +154,9 @@
 	@echo 'Documentation  in DOCDIR=$(DESTDIR)$(DOCDIR)'
 
 .PHONY: uninstall
-uninstall: Manager.installed
-	rm -f `cat Manager.installed`
-	rm -f Manager.installed
+uninstall: $(INSTALLED)
+	rm -f `cat $(INSTALLED)`
+	rm -f $(INSTALLED)
 
 
 clean::
@@ -157,4 +167,4 @@
 	cd examples; make clean
 
 distclean:: clean
-	rm -f Makefile.config config.ok 
+	rm -f Makefile.config config.checked

=== doc/Makefile ===
--- 
+++ 
@@ -40,6 +40,8 @@
 	rm -f manual.{aux,log,dvi,toc,dview,wiz,fmt}
 
 distclean: clean
-	rm -f whizzytex.{dvi,ps,pdf,html,info} manual.hva
+	rm -f whizzytex.{dvi,ps,pdf,html,info} manual.html
+
+# Keep caml.eps and gif files: hard to remake

=== examples/mlpost/Makefile ===
mlpostx: mlpostx.byte mlpostx.native
	cp _build/mlpostx.native $@

mlpostx.byte: mlpostx.ml
	ocamlbuild -classic-display -lib unix -lib str mlpostx.byte

mlpostx.native: mlpostx.ml
	ocamlbuild -classic-display -lib unix -lib str mlpostx.native

main.advi: main.tex
	mlpostx main.tex
	latex '\def\WhizzyMode{}\input' main.tex
	mv main.dvi main.advi


clean:
	rm -f main:*.{mps,fonts} *.font main-*.log main-*.err main.cahe
	ocamlbuild -clean

=== debian/changelog ===
whizzytex (1.3.3-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control
    - drop Build-Depends: debhelper, just debhelper-compat is enough
    - add Rules-Requires-Root: no
  * add debian/salsa-ci.yml

 -- Hideki Yamane <henrich@debian.org>  Tue, 08 Oct 2019 00:22:30 +0900

whizzytex (1.3.3-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches
    - add 11_remove-timestamp.patch (Closes: #794247)
      Thanks to Eduard Sanou <dhole@openmailbox.org> for the patch
    - add 12_backslashes.patch (Closes:#805759)
      Thanks to Kevin Ryde <user42_kevin@yahoo.com.au> for the patch

 -- Hideki Yamane <henrich@debian.org>  Wed, 16 Jan 2019 20:06:19 +0900

whizzytex (1.3.3-0.1) unstable; urgency=low

  * Non-maintainer upload.

  * New upstream release
  * Add debian/watch
  * Make debian/rules to use dh, separate files into debian/install,clean,
    dirs
    - Also remove broken symlink (Closes:#858472)
  * debian/patches
    - refresh patches
  * debian/control
    - Add Vcs-*
    - Add Homepage:
    - Set Standards-Version: 4.3.0
    - Use debhelper-compat (= 12)
    - Fix description
  * Drop debian/compat
  * Drop empty maintainer scripts (postrm and prerm) (Closes: #866285)
  * Updated FAQ from http://cristal.inria.fr/whizzytex/FAQ.html
  * Add debian/emacsen-compat file
  * Enable autopkgtest to re-use old debian/testfiles

 -- Hideki Yamane <henrich@debian.org>  Mon, 14 Jan 2019 10:17:46 +0900

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,18 @@
 Priority: optional
 Maintainer: Junichi Uekawa <dancer@debian.org>
 Build-Depends-Indep: hevea (>= 1.08), texlive-pstricks, texlive-latex-extra, advi, texlive-latex-recommended, tex-common, texlive-pictures,
-Build-Depends: debhelper (>> 7.0.50~)
-Standards-Version: 3.7.2
+Build-Depends: debhelper-compat (= 12),
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/debian/whizzytex.git
+Vcs-Browser: https://salsa.debian.org/debian/whizzytex
+Homepage: http://cristal.inria.fr/whizzytex/
+Rules-Requires-Root: no
 
 Package: whizzytex
 Architecture: all
 Depends: emacs | emacsen, texlive-latex-base, advi, ${misc:Depends}
 Recommends: gv, xpdf-reader | pdf-viewer
-Description: a WYSIWYG emacs environment for LaTeX
+Description: WYSIWYG emacs environment for LaTeX
  WhizzyTeX is an emacs minor mode for incrementally
  (TeXing and) previewing a LaTeX file while editing at real-time.
  .

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	cp $(CURDIR)/debian/Makefile.config $(CURDIR)/
	$(MAKE) config.force

override_dh_auto_build:
	dh_auto_build
	LC_ALL=C LANG=C $(MAKE) -C doc whizzytex.html whizzytex.info

override_dh_auto_install:
	dh_auto_install
	rm -f "$(CURDIR)/debian/whizzytex/usr/share/doc/whizzytex/COPYING" \
              "$(CURDIR)/debian/whizzytex/usr/share/doc/whizzytex/GPL" \
              "$(CURDIR)/debian/whizzytex/usr/share/doc/whizzytex/INSTALL"

override_dh_installexamples:
	dh_installexamples
	find "$(CURDIR)/debian/whizzytex" -name *~ -delete
	find "$(CURDIR)/debian/whizzytex" -name .cvsignore -delete
	rm "$(CURDIR)/debian/whizzytex/usr/share/doc/whizzytex/examples/mlpost/mlpostx.native"

override_dh_clean:
	dh_clean -Xexamples/*

override_dh_installinfo:
	dh_installinfo -v $(CURDIR)/doc/whizzytex.info*

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

# eval this in emacs: (shell-command "cd ../ && debian/rules getfaq")
getfaq:
	-rm -f debian/FAQ-new.html
	wget http://cristal.inria.fr/whizzytex/FAQ.html -O debian/FAQ-new.html && \
	mv debian/FAQ-new.html debian/FAQ.html
	dch -a "updated FAQ from http://cristal.inria.fr/whizzytex/FAQ.html"

=== debian/tests/control ===
Test-Command: emacs --script debian/tests/test.el debian/tests/test1.tex >/dev/null 2>&1
Depends: emacs-nox, whizzytex

Test-Command: emacs --script debian/tests/test.el debian/tests/test-edit.tex >/dev/null 2>&1
Depends: emacs-nox, whizzytex

Test-Command: emacs --script debian/tests/test.el debian/tests/test-gv.tex >/dev/null 2>&1
Depends: emacs-nox, whizzytex

Test-Command: emacs --script debian/tests/test.el debian/tests/test-xpdf.tex >/dev/null 2>&1
Depends: emacs-nox, whizzytex

## whizzytex 1.3.6

=== debian/changelog ===
whizzytex (1.3.6-2) unstable; urgency=medium

  * debian/control
    - Drop non-exist package xpdf-reader, set xpdf

 -- Hideki Yamane <henrich@debian.org>  Mon, 22 Jun 2020 18:12:57 +0900

whizzytex (1.3.6-1) unstable; urgency=medium

  * New upstream version 1.3.6
  * debian/patches
    - Drop all previous patches: merged upstream
    - Add fix-bashism-and-more.patch (Closes: #772388)
    - Add add-png-files.patch (Closes: #787799)
  * debian/copyright
    - Convert to copyright-format 1.0
  * debian/control
    - Set myself maintainer and set Junichi as Uploaders
  * debian/clean
    - Do NOT remove png files
  * debian/rules
    - Do not install info.head file

 -- Hideki Yamane <henrich@debian.org>  Sat, 13 Jun 2020 20:57:02 +0900

whizzytex (1.3.5-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  * New Upstream Version 1.3.5
  * Updated FAQ from http://cristal.inria.fr/whizzytex/FAQ.html
  * Removed unnecessary debian/{postinst,lintian-overrides}
  * debian/patches
    - Refresh patches

 -- Hideki Yamane <henrich@debian.org>  Thu, 11 Jun 2020 12:50:59 +0900

whizzytex (1.3.3-0.4) unstable; urgency=medium

  * debian/changelog
    - Trim trailing whitespace.
    - Wrap long lines in changelog entries: 1.1.3.0-1, 1.1.3-1, 1.1.1-5,
      1.1-3.
  * debian/control
    - Update standards version to 4.5.0, no changes needed.
    - Bump up to debhelper-compat (= 13)

 -- Hideki Yamane <henrich@debian.org>  Mon, 11 May 2020 03:03:53 +0900

=== debian/control ===
Source: whizzytex
Section: tex
Priority: optional
Maintainer: Hideki Yamane <henrich@debian.org>
Uploaders: Junichi Uekawa <dancer@debian.org>
Build-Depends-Indep: hevea (>= 1.08), texlive-pstricks, texlive-latex-extra, advi, texlive-latex-recommended, tex-common, texlive-pictures,
Build-Depends: debhelper-compat (= 13),
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/debian/whizzytex.git
Vcs-Browser: https://salsa.debian.org/debian/whizzytex
Homepage: http://cristal.inria.fr/whizzytex/
Rules-Requires-Root: no

Package: whizzytex
Architecture: all
Depends: emacs | emacsen, texlive-latex-base, advi, ${misc:Depends}
Recommends: gv, xpdf | pdf-viewer
Description: WYSIWYG emacs environment for LaTeX
 WhizzyTeX is an emacs minor mode for incrementally
 (TeXing and) previewing a LaTeX file while editing at real-time.
 .
 It works with ghostview-based and xdvi-based previewers,
 but enhanced visual effects and wider variety of options
 will be available when using the advi DVI-previewer.

## whizzytex 1.3.7

=== debian/changelog ===
whizzytex (1.3.7-1) unstable; urgency=medium

  * New upstream version 1.3.7
  * debian/control
    - Set Standards-Version: 4.5.1

 -- Hideki Yamane <henrich@debian.org>  Sun, 30 May 2021 01:33:03 +0900

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Junichi Uekawa <dancer@debian.org>
 Build-Depends-Indep: hevea (>= 1.08), texlive-pstricks, texlive-latex-extra, advi, texlive-latex-recommended, tex-common, texlive-pictures,
 Build-Depends: debhelper-compat (= 13),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/debian/whizzytex.git
 Vcs-Browser: https://salsa.debian.org/debian/whizzytex
 Homepage: http://cristal.inria.fr/whizzytex/

## whizzytex 1.4.0

=== debian/changelog ===
whizzytex (1.4.0-1) experimental; urgency=medium

  * New upstream version 1.4.0
  * Upload to experimental due to some lintian warnings that comes from
    upstream 

 -- Hideki Yamane <henrich@debian.org>  Fri, 13 Aug 2021 00:16:16 +0900

## whizzytex 1.5.0

=== doc/Makefile ===
HEVEA = hevea -exec xxdate.exe 
# HVAOPT = -fix 

DOCSOURCES=manual.tex manual.sty caml.eps version.tex Makefile
DOCFORMATS=dvi ps pdf html info
SHELL = bash
all: FILES

FILES: $(addprefix whizzytex., dvi ps pdf html info) \
	Makefile whizzytex.info.head
	cd ..; \
	ls $(addprefix doc/whizzytex., dvi ps pdf html info) \
	   doc/whizzytex00?.png doc/whizzytex.info-* doc/whizzytex.info.head \
	   $(addprefix doc/, $(DOCSOURCES)) \
	> doc/$@

manual.hva: manual.sty
	ln -s $< $@

whizzytex.dvi: manual.tex version.tex
	latex $<
	latex $<
	mv manual.dvi $@

whizzytex.ps: whizzytex.dvi
	latex '\def\driver{dvips}\input' manual.tex
	dvips -o $@ manual.dvi

whizzytex.pdf: whizzytex.ps
	ps2pdf $<

whizzytex.html: manual.tex manual.hva whizzytex.dvi 
	$(HEVEA) $(HVAOPT) -o $@ $< && \
	imagen whizzytex && \
	$(HEVEA) $(HVAOPT) -o $@ $< 

whizzytex.info: manual.tex whizzytex.info.head
	$(HEVEA) $(HVAOPT) -info -o $@ $<
	tail -n +2 $@ | cat whizzytex.info.head - > $@.tmp
	mv $@.tmp $@

clean:
	rm -f whizzytex.log whizzytex.image.* whizzytex.haux whizzytex.htoc
	rm -f manual.aux manual.log manual.dvi manual.toc \
	      manual.dview manual.wiz manual.fmt

# rm -f whizzytex.{log,image.*,h{aux,toc}}
# rm -f manual.{aux,log,dvi,toc,dview,wiz,fmt}

distclean: clean
	rm -f whizzytex.dvi whizzytex.ps whizzytex.pdf whizzytex.html \
	      whizzytex.info manual.html

# Keep caml.eps and gif files: hard to remake

=== examples/Makefile ===
--- 
+++ 
@@ -10,6 +10,7 @@
 	rm -f */*.{aux,log,dvi,ans,dview,wiz,waux,fmt,out,nav,snm,vrb,toc}
 
 superclean: clean
+	rm -f $(FILES)
 	rm -f {.,*}/{*~,.#*,#*#}
 	rm -rf */_whizzy_*

=== debian/changelog ===
whizzytex (1.5.0-0.1) unstable; urgency=medium

  * Non-maintainer upload

  [ Jeremy Bícha ]
  * New upstream version 1.5.0
  * Add minimal debian/gbp.conf
  * Release to unstable (Closes: #1059088)

  [ Debian Janitor ]
  * Trim trailing whitespace
  * Update standards version to 4.6.0, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 31 Mar 2025 13:11:58 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Junichi Uekawa <dancer@debian.org>
 Build-Depends-Indep: hevea (>= 1.08), texlive-pstricks, texlive-latex-extra, advi, texlive-latex-recommended, tex-common, texlive-pictures,
 Build-Depends: debhelper-compat (= 13),
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/whizzytex.git
 Vcs-Browser: https://salsa.debian.org/debian/whizzytex
 Homepage: http://cristal.inria.fr/whizzytex/

=== debian/rules ===
--- 
+++ 
@@ -19,17 +19,11 @@
               "$(CURDIR)/debian/whizzytex/usr/share/doc/whizzytex/GPL" \
               "$(CURDIR)/debian/whizzytex/usr/share/doc/whizzytex/INSTALL"
 
-override_dh_installexamples:
-	dh_installexamples
-	find "$(CURDIR)/debian/whizzytex" -name *~ -delete
-	find "$(CURDIR)/debian/whizzytex" -name .cvsignore -delete
-	rm "$(CURDIR)/debian/whizzytex/usr/share/doc/whizzytex/examples/mlpost/mlpostx.native"
-
 override_dh_clean:
 	dh_clean -Xexamples/*
 
 override_dh_installinfo:
-	dh_installinfo -v $(CURDIR)/doc/whizzytex.info*
+	dh_installinfo -v $(CURDIR)/doc/whizzytex.info $(CURDIR)/doc/whizzytex.info-[1-9]
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGES

=== debian/watch ===
version=4
http://cristal.inria.fr/whizzytex/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
